<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename:latest_comments_page.php
| Author: Fangree Productions
| Site: http://www.fangree.co.uk
| Contact: admin@fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."latest_comments_page/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."latest_comments_page/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."latest_comments_page/locale/English.php";
}

$i = 0;
$result = dbquery("SELECT * FROM ".DB_COMMENTS." LEFT JOIN ".DB_USERS." ON ".DB_COMMENTS.".comment_name=".DB_USERS.".user_id ORDER BY comment_datestamp DESC LIMIT 20");
if (dbrows($result)) {
opentable("Latest Comments");
echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
while ($data = dbarray($result)) {
echo "<tr>\n<td class='".($i% 2==0?"tbl1":"tbl2")."'><span class='comment-name'>";
if (!empty($data['user_avatar']) && file_exists(IMAGES."avatars/".$data['user_avatar'])){
		echo "<img height='50' width='50'align='left'  src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."' />&nbsp;";
		}else{
		echo "<img height='50' align='left' width='50' src='".IMAGES."avatars/noav.gif' alt='".($data['user_name'] ? $data['user_name'] : $data['comment_name'])."' />&nbsp;";		}
if ($data['user_name']) {
echo "<strong><a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."' class='slink'>".$data['user_name']."</a></strong>";
} else {
echo $data['comment_name'];
}

		
$comment_message = nl2br(parseubb(parsesmileys ($data['comment_message'])));
$comment_item_id = $data['comment_item_id'];
$comment_type = $data['comment_type'];
echo "</span>
<span class='small'> ".showdate("shortdate", $data['comment_datestamp'])."</span><br>
&nbsp;".$comment_message."<br>";

//News Comments
if ($data['comment_type'] == "N") {
echo "&nbsp;<p align='right'> <a href='".BASEDIR."news.php?readmore=".$data['comment_item_id']."'>".$locale['lcp001']."</a><br>";
}
//Articles Comments
else if ($data['comment_type'] == "A") {
echo "&nbsp;<p align='right'> <a href='".BASEDIR."readarticle.php?article_id=".$data['comment_item_id']."'>".$locale['lcp002']."</a><br>";
}
//Photogallery Comments
else if ($data['comment_type'] == "P") {
echo "&nbsp;<p align='right'> <a href='".BASEDIR."photogallery.php?photo_id=".$data['comment_item_id']."'>".$locale['lcp003']."</a><br>";
}
//Custom Page Comments
else if ($data['comment_type'] == "C") {
echo "&nbsp;<p align='right'> <a href='".BASEDIR."viewpage.php?page_id=".$data['comment_item_id']."'>".$locale['lcp004']."</a><br>";
}
//Coments For Download System mSF - Remove  lines 78 to 81 if not required
else if ($data['comment_type'] == "F") {
echo "&nbsp;<p align='right'> <a href='".BASEDIR."downloads.php?page_id=".$data['comment_item_id']."'>".$locale['lcp005']."</a><br>";
}
//Comments for Profile Tagwall  - Remove lines 82 to 85 if not required
else if ($data['comment_type'] == "PF") {
echo "&nbsp;<p align='right'> <a href='".BASEDIR."profile.php?lookup=".$data['comment_item_id']."'>".$locale['lcp006']."</a><br>";
}
//No Comments link
else {
echo "&nbsp;<p align='right'> No link.";
}

echo "</td>\n</tr>\n";
$i++;
}
echo "</table>\n";
// No Commtents link 2 
} else {
echo "<center><br>".$locale['lcp007']."<br><br></center>\n";
}

echo "</td>\n";
echo"<span title='&copy; Latest Comments Page &copy; Fangree Productions 2009'><small>&copy;</small></span>";
closetable();

require_once THEMES."templates/footer.php";
?>